import { OnChanges, SimpleChanges } from '@angular/core';
import { AllReportText, MainReportText } from '../assist-data-element/assist-data-element.component';
import { AllTextReport } from '../../core/models/report-text.model';
export declare class AssistReportTextComponent implements OnChanges {
    reportText: MainReportText;
    allReportTexts: AllReportText[];
    selectedSection: string;
    mainReportTexts: MainReportText;
    selectedSectionId: string;
    allTextReport: AllTextReport[];
    sections: string[];
    prevSectionId: string;
    ngOnChanges(changes: SimpleChanges): void;
    constructor();
    onSelect(sectionId: any): void;
    removeEmptyLine(inputText: string): string;
}
